org.bdgenomics.adam.rdd

# ShuffleRegionJoin

#### object ShuffleRegionJoin

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ShuffleRegionJoin
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def partitionAndJoin[T, U](sc: SparkContext, leftRDD: RDD[T], rightRDD: RDD[U], seqDict: SequenceDictionary, partitionSize: Long)(implicit tMapping: ReferenceMapping[T], uMapping: ReferenceMapping[U], tManifest: ClassTag[T], uManifest: ClassTag[U]): RDD[(T, U)]

    Performs a region join between two RDDs (shuffle join).

    Performs a region join between two RDDs (shuffle join).

    This implementation is shuffle-based, so does not require collecting one side into memory like BroadcastRegionJoin. It basically performs a global sort of each RDD by genome position and then does a sort-merge join, similar to the chromsweep implementatio in bedtools. More specifically, it first defines a set of bins across the genome, then assigns each object in the RDDs to each bin that they overlap (replicating if necessary), performs the shuffle, and sorts the object in each bin. Finally, each bin independently performs a chromsweep sort-merge join.

    T

      type of leftRDD

    U

      type of rightRDD

    sc

      A SparkContext for the cluster that will perform the join

    leftRDD

      The 'left' side of the join, a set of values which correspond (through an implicit ReferenceMapping) to regions on the genome.

    rightRDD

      The 'right' side of the join, a set of values which correspond (through an implicit ReferenceMapping) to regions on the genome

    seqDict

      A SequenceDictionary -- every region corresponding to either the leftRDD or rightRDD values must be mapped to a chromosome with an entry in this dictionary.

    partitionSize

      The size of the genome bin in nucleotides. Controls the parallelism of the join.

    tMapping

      implicit reference mapping for leftRDD regions

    uMapping

      implicit reference mapping for rightRDD regions

    tManifest

      implicit type of leftRDD

    uManifest

      implicit type of rightRDD

    returns

      An RDD of pairs (x, y), where x is from leftRDD, y is from rightRDD, and the region corresponding to x overlaps the region corresponding to y.

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped